Page MenuHomePhabricator

The new crossproject search results sidebar does not work on non-wikipedias
Closed, ResolvedPublic

Description

There is a display issue:

and a php stacktrace:

/srv/mediawiki/php-1.30.0-wmf.2/includes/widget/search/InterwikiSearchResultSetWidget.php:180
PHP Notice: Undefined index: port
#0 /srv/mediawiki/php-1.30.0-wmf.2/includes/widget/search/InterwikiSearchResultSetWidget.php(180): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.30.0-wmf.2/includes/widget/search/InterwikiSearchResultSetWidget.php(145): MediaWiki\Widget\Search\InterwikiSearchResultSetWidget->iwIcon(string)
#2 /srv/mediawiki/php-1.30.0-wmf.2/includes/widget/search/InterwikiSearchResultSetWidget.php(89): MediaWiki\Widget\Search\InterwikiSearchResultSetWidget->footerHtml(string, string)
#3 /srv/mediawiki/php-1.30.0-wmf.2/includes/widget/search/BasicSearchResultSetWidget.php(93): MediaWiki\Widget\Search\InterwikiSearchResultSetWidget->render(string, array)
#4 /srv/mediawiki/php-1.30.0-wmf.2/includes/specials/SpecialSearch.php(425): MediaWiki\Widget\Search\BasicSearchResultSetWidget->render(string, integer, NULL, CirrusSearch\Search\ResultSet)
#5 /srv/mediawiki/php-1.30.0-wmf.2/includes/specials/SpecialSearch.php(185): SpecialSearch->showResults(string)
#6 /srv/mediawiki/php-1.30.0-wmf.2/includes/specialpage/SpecialPage.php(522): SpecialSearch->execute(NULL)
#7 /srv/mediawiki/php-1.30.0-wmf.2/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.30.0-wmf.2/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.30.0-wmf.2/includes/MediaWiki.php(862): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.30.0-wmf.2/includes/MediaWiki.php(523): MediaWiki->main()
#11 /srv/mediawiki/php-1.30.0-wmf.2/index.php(43): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Event Timeline

dcausse created this task.Jun 7 2017, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 2:24 PM

Change 357628 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] Fixing display issue with interwiki search sidebar

https://gerrit.wikimedia.org/r/357628

I think this was a CSS issue due to me using display:inline-block to vertically position the top of the sidebar with the top of the search results. Reducing the margin from 10% to 8% seems to fix it.

Change 357647 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Properly check that the port key is present

https://gerrit.wikimedia.org/r/357647

Also, the reason this was breaking no wikisource specifically, and not wikipedia,
was that someone somewhere added a CSS class that adds extra margins to all the <ul>'s on the site.

Change 357647 merged by jenkins-bot:
[mediawiki/core@master] Properly check that the port key is present

https://gerrit.wikimedia.org/r/357647

Change 357628 merged by jenkins-bot:
[mediawiki/core@master] Fixing display issue with interwiki search sidebar

https://gerrit.wikimedia.org/r/357628

debt closed this task as Resolved.Jun 16 2017, 5:24 PM
debt claimed this task.
debt removed debt as the assignee of this task.Jun 19 2017, 6:21 PM
debt added a subscriber: debt.